Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobPluginMeta

    java.lang.Object
      org.pentaho.di.job.JobPluginMeta

    public class JobPluginMeta

extends Object

Constructor Summary
`JobPluginMeta()`
`JobPluginMeta(Class<?> className, String id, JobEntryType type, String name, String tooltipDesc, String imageFileName, String category)`

Method Summary
`String` | `getCategory()`
`Class<?>` | `getClassName()`
`String` | `getId()`
`String` | `getImageFileName()`
`String` | `getName()`
`String` | `getTooltipDesc()`
`JobEntryType` | `getType()`
`void` | `set(String property, String value)`
`void` | `setCategory(String category)`
`void` | `setClassName(Class<?> className)`
`void` | `setId(String id)`
`void` | `setImageFileName(String imageFileName)`
`void` | `setName(String name)`
`void` | `setTooltipDesc(String tooltipDesc)`
`void` | `setType(JobEntryType type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobPluginMeta

    public JobPluginMeta()

### JobPluginMeta

    public JobPluginMeta(Class<?> className,
                         String id,
                         JobEntryType type,
                         String name,
                         String tooltipDesc,
                         String imageFileName,
                         String category)

Method Detail

### getClassName

    public Class<?> getClassName()

### setClassName

    public void setClassName(Class<?> className)

### getId

    public String getId()

### setId

    public void setId(String id)

### getImageFileName

    public String getImageFileName()

### setImageFileName

    public void setImageFileName(String imageFileName)

### getTooltipDesc

    public String getTooltipDesc()

### setTooltipDesc

    public void setTooltipDesc(String tooltipDesc)

### set

    public void set(String property,
                    String value)
             throws org.pentaho.di.core.exception.KettleConfigException

  Throws:
    `org.pentaho.di.core.exception.KettleConfigException`

### getCategory

    public String getCategory()

  Returns:
    the category

### setCategory

    public void setCategory(String category)

  Parameters:
    `category` - the category to set

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getType

    public JobEntryType getType()

  Returns:
    the type

### setType

    public void setType(JobEntryType type)

  Parameters:
    `type` - the type to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD